# Access and plot ROOT histograms using HRoot class
# S.Chekanov
 
from java.awt import Color
from jhplot  import HPlot,H1D,HRoot 

# location of ROOT file
file=SystemDir+fSep+"macros"+fSep+"examples"+fSep+"data"+fSep+"Example.root"

# location of ROOT file
rfr = HRoot( file )
print "number of histograms=",rfr.getNKeys()
print "ROOT version=",rfr.getVersion()
print "ROOT version=",rfr.getTitle()
print "No of histograms=",rfr.toString()

# get ROOT histograms 
h1 = rfr.getH1D("mainHistogram")
h2 = rfr.getH1D("totalHistogram") 
# create canvas 1x1
c1 = HPlot("Canvas",600,400,1, 1)
c1.setGTitle("Show ROOT histograms from Example.root")
c1.visible(1)

c1.setRange(0, -4, 4)
# set autorange for Y
c1.setAutoRange(1,1)

h1.setColor(Color.blue)
c1.draw(h1)

h2.setColor(Color.red)
c1.draw(h2)

c1.setNameX("Xaxis")
c1.setNameY("Yaxis")
c1.setName("Canvas title")
c1.update()



# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png");
